<mat-sidenav-container class="example-container">
  <mat-sidenav #sidenav mode="over" [(opened)]="opened" (opened)="events.push('open!')"
    (closed)="events.push('close!')" class="example-sidenav">
    Sidenav content
  </mat-sidenav>

  <mat-sidenav-content>
    <mat-toolbar>
      <mat-icon class="example-icon" aria-hidden="false" aria-label="Example delete icon" (click)="sidenav.toggle()">menu</mat-icon>
      <span><strong>HS</strong> Academy</span>
      <span class="example-spacer"></span>
    </mat-toolbar>
    <p><button mat-button (click)="sidenav.toggle()">sidenav.toggle()</button></p>
    <p>Events:</p>
    <div class="example-events">
      <div *ngFor="let e of events">{{e}}</div>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>